Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.resources
Interface IPathVariableChangeEvent

public interface IPathVariableChangeEvent

Describes a change in a path variable. The change may denote that a variable has been created, deleted or had its value changed.

This interface is not intended to be implemented by clients.

Since:
  2.1
See Also:
  `IPathVariableChangeListener`

Field Summary
`static int` | `VARIABLE_CHANGED` Event type constant (value = 1) that denotes a value change .
`static int` | `VARIABLE_CREATED` Event type constant (value = 2) that denotes a variable creation.
`static int` | `VARIABLE_DELETED` Event type constant (value = 3) that denotes a variable deletion.

Method Summary
`Object` | `getSource()` Returns an object identifying the source of this event.
`int` | `getType()` Returns the type of event being reported.
`IPath` | `getValue()` Returns the variable's current value.
`String` | `getVariableName()` Returns the affected variable's name.

Field Detail

### VARIABLE_CHANGED

    public static final int VARIABLE_CHANGED

  Event type constant (value = 1) that denotes a value change .

  See Also:
    Constant Field Values

### VARIABLE_CREATED

    public static final int VARIABLE_CREATED

  Event type constant (value = 2) that denotes a variable creation.

  See Also:
    Constant Field Values

### VARIABLE_DELETED

    public static final int VARIABLE_DELETED

  Event type constant (value = 3) that denotes a variable deletion.

  See Also:
    Constant Field Values

Method Detail

### getValue

    public IPath getValue()

  Returns the variable's current value. If the event type is `VARIABLE_CHANGED` then it is the new value, if the event type is `VARIABLE_CREATED` then it is the new value, or if the event type is `VARIABLE_DELETED` then it will be `null`.

  Returns:
    the variable's current value, or `null`

### getVariableName

    public String getVariableName()

  Returns the affected variable's name.

  Returns:
    the affected variable's name

### getSource

    public Object getSource()

  Returns an object identifying the source of this event.

  Returns:
    an object identifying the source of this event
  See Also:
    `EventObject`

### getType

    public int getType()

  Returns the type of event being reported.

  Returns:
    one of the event type constants
  See Also:
    `VARIABLE_CHANGED`, `VARIABLE_CREATED`, `VARIABLE_DELETED`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.